INCLUDE(BuildDictionary)
INCLUDE(CetParseArgs)
INCLUDE(CheckClassVersion)

MACRO(art_dictionary)
  CET_PARSE_ARGS(ART_DICT
    "LIBRARIES;DICTIONARY_LIBRARIES;DICT_NAME_VAR"
    "UPDATE_IN_PLACE"
    ${ARGN}
    )
  IF(ART_PERSISTENCY_COMMON)
    # Using art as a product rather than building art itself.
    SET(ART_DICT_DICTIONARY_LIBRARIES
      ${ART_PERSISTENCY_COMMON} ${ART_UTILITIES} ${CETLIB} ${ART_DICT_DICTIONARY_LIBRARIES}
      )
  else()
    SET(ART_DICT_DICTIONARY_LIBRARIES
      art_Persistency_Common art_Utilities ${CETLIB} ${ART_DICT_DICTIONARY_LIBRARIES}
      )
  endif()
  build_dictionary(DICT_NAME_VAR dictname
    DICTIONARY_LIBRARIES ${ART_DICT_DICTIONARY_LIBRARIES}
    ${ART_DICT_DEFAULT_ARGS}
    ${ART_DICT_EXTRA_ARGS})
  if (ART_DICT_DICT_NAME_VAR)
    set (${ART_DICT_DICT_NAME_VAR} ${dictname} PARENT_SCOPE)
  endif()
  IF(ART_DICT_LIBRARIES)
    SET(ART_DICT_CCV_ARGS "LIBRARIES" ${ART_DICT_LIBRARIES})
  ENDIF()
  IF(ART_DICT_UPDATE_IN_PLACE)
    SET(ART_DICT_CCV_ARGS ${ART_DICT_CCV_ARGS} "UPDATE_IN_PLACE" ${ART_DICT_UPDATE_IN_PLACE})
  ENDIF()
  #message(STATUS "Calling check_class_version with args ${ART_DICT_ARGS}")
  check_class_version(${ART_DICT_LIBRARIES} UPDATE_IN_PLACE ${ART_DICT_CCV_ARGS})
ENDMACRO()
